package rallyedto.farewelledto

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import com.base.datarecovery.databinding.IdeologyedtoBinding
import com.google.android.material.bottomsheet.BottomSheetBehavior
import com.google.android.material.bottomsheet.BottomSheetDialog
import rallyedto.battleedto.acresedto.Dareedto
import rallyedto.battleedto.acresedto.Napedto.requestStorePermission
import rallyedto.talledto.blewedto.Musicaledto

object Matchedto {
    private val TAG = "PermissionDialog"
    fun Context.showPermissionBottomSheet(launcher: Dareedto, dismissAction: () -> Unit): BottomSheetDialog {
        val dialog = BottomSheetDialog(this)
        val binding = IdeologyedtoBinding.inflate(LayoutInflater.from(this))
        dialog.setContentView(binding.root)
//        dialog.setCanceledOnTouchOutside(false)
//        dialog.setCancelable(false)
        dialog.show()

        val parentView = binding.root.parent as View
        BottomSheetBehavior.from(parentView).state = BottomSheetBehavior.STATE_EXPANDED

        binding.ethnicedto.setOnClickListener {
            requestStorePermission(launcher, result = {
                if (it) {
                    dialog.dismiss()
                    Musicaledto.logDebug(TAG, "dismissAction 1")
                }
            })
        }
        dialog.setOnDismissListener {
            Musicaledto.logDebug(TAG, "dismissAction 2")
            dismissAction.invoke()
        }
        return dialog

    }

}